Package com.io7m.cedarbridge.runtime.api

# Class CBMapSerializer<K extends CBSerializableType,V extends CBSerializableType>

java.lang.Object
com.io7m.cedarbridge.runtime.api.CBAbstractSerializer<CBMap<K,V>>
com.io7m.cedarbridge.runtime.api.CBMapSerializer<K,V>

Type Parameters:
  `K` - The type of keys
  `V` - The type of values

All Implemented Interfaces:
  `CBSerializerType<CBMap<K,V>>`

public final class CBMapSerializer<K extends CBSerializableType,V extends CBSerializableType> extends CBAbstractSerializer<CBMap<K,V>>
A serializer of maps.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBMapSerializer(CBSerializerType<CBMapEntry<K,V>> inEntrySerializer)`
  A serializer of maps.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CBMap<K,V>`
  `deserialize(CBSerializationContextType context)`
  Deserialize a value of the given type.
  `void`
  `serialize(CBSerializationContextType context, CBMap<K,V> value)`
  Serialize a value of the given type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CBMapSerializer

    public CBMapSerializer(CBSerializerType<CBMapEntry<K,V>> inEntrySerializer)
    A serializer of maps.
    Parameters:
      `inEntrySerializer` - The entry serializer

- ## Method Details

  - ### serialize

    public void serialize(CBSerializationContextType context, CBMap<K,V> value) throws IOException
    Description copied from interface: `CBSerializerType`
    Serialize a value of the given type.
    Parameters:
      `context` - The serialization context
      `value` - The value to be serialized
    Throws:
      `IOException` - On I/O errors

  - ### deserialize

    public CBMap<K,V> deserialize(CBSerializationContextType context) throws IOException
    Description copied from interface: `CBSerializerType`
    Deserialize a value of the given type.
    Parameters:
      `context` - The serialization context
    Returns:
      A deserialized value
    Throws:
      `IOException` - On I/O errors